Subject: bug#34976: closed (Re: bug#34976: [debbugs.el] debbugs-read-emacs-bug-with-gnus sets user options)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 26 Mar 2019 15:58:02 +0000

Your bug report

#34976: [debbugs.el] debbugs-read-emacs-bug-with-gnus sets user options

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34976: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34976
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#34976: [debbugs.el] debbugs-read-emacs-bug-with-gnus sets user options
From: Michael Albinus <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: "Basil L. Contovounesios" <[email-masked]>, noam postavsky <[email-masked]>, [email-masked]
Date: Tue, 26 Mar 2019 16:56:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Albinus <[email-masked]> writes:
>
>> That's why I thought we could add a user option debbugs-lars-workflow or
>> alike :-) If non-nil, the gnus-* variables would be set as of today.
>
> :-)
>
> Sounds good.

I've fixed it this way. Lars, you shall set debbugs-gnu-lars-workflow to
a non-nil value.

Closing the bug.

Best regards, Michael.

Subject: [debbugs.el] debbugs-read-emacs-bug-with-gnus sets user options
From: "Basil L. Contovounesios" <[email-masked]>
To: [email-masked]
Date: Sun, 24 Mar 2019 15:32:23 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-Cc: Lars Ingebrigtsen <[email-masked]>, Michael Albinus <[email-masked]>, Noam Postavsky <[email-masked]>

When I use Gnus as my MUA, I leave the user options
gnus-suppress-duplicates and gnus-save-duplicate-list at their default
value of nil, as I have not yet run into any issues with duplicate
messages.

After using debbugs.el, however, I noticed that the value of these two
user options had been changed, and a file called 'suppression' had
appeared under my gnus-directory.  I think this was caused by a change
to debbugs-read-emacs-bug-with-gnus[1].

[1]: Save list of read articles
  2015-12-26 01:17:29 +0100
  https://git.savannah.gnu.org/cgit/emacs/elpa.git/commit/?id=f43413e5ad2817fb0ee055e358178924a6affe8b

I don't know what sort of issues gave rise to this change, but it would
be nice if debbugs.el could do its job without permanently changing the
value of user options from other packages.

Thanks,

-- 
Basil

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2019-03-24 built on thunk
Repository revision: dbd6490ad49b0f088d56cdd5f04178bdd62c806a
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12003000
System Description: Debian GNU/Linux buster/sid